package com.ferienclub.vacancymgm.beans;

import java.io.Serializable;

public class Room implements Serializable{

	private String roomId;
	private String status;
	private RoomType type;
	private int roomNo;
	private int floor;

	
	public int getFloor() {
		return floor;
	}
	public void setFloor(int floor) {
		this.floor = floor;
	}
	public int getRoomNo() {
		return roomNo;
	}
	public void setRoomNo(int roomNo) {
		this.roomNo = roomNo;
	}
	public String getRoomId() {
		return roomId;
	}
	public void setRoomId(String roomId) {
		this.roomId = roomId;
	}
	
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public RoomType getType() {
		return type;
	}
	public void setType(RoomType type) {
		this.type = type;
	}
	
	public String toString(){
		String s = "";
		s += "Id: " + this.roomId + "\nRoomNo: " + this.roomNo + "\nStatus: " + this.status + "\nFloor: " + this.floor + "\n\n" + this.type;
		return s;
	}
	
}
